org.apache.maven.scm.provider.accurev.command.update

## Class AccuRevUpdateScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.update.UpdateScmResult
    - - org.apache.maven.scm.command.update.UpdateScmResultWithRevision
      - - org.apache.maven.scm.provider.accurev.command.update.AccuRevUpdateScmResult

All Implemented Interfaces:
  Serializable

    public class AccuRevUpdateScmResult
    extends UpdateScmResultWithRevision

Carry information about before and after transaction ids so we can run the changelog

Author:
  ggardner
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
Constructor and Description
`AccuRevUpdateScmResult(String commandLines, List<ScmFile> updatedFiles, String fromRevision, String toRevision)` Success constructor
`AccuRevUpdateScmResult(String commandLine, String providerMessage, String commandOutput, String fromRevision, String toRevision, boolean success)` Failed constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFromRevision()`
`String` `getToRevision()`

### Methods inherited from class org.apache.maven.scm.command.update.UpdateScmResultWithRevision

`getRevision`

### Methods inherited from class org.apache.maven.scm.command.update.UpdateScmResult

`getChanges, getUpdatedFiles, setChanges`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccuRevUpdateScmResult

    public AccuRevUpdateScmResult(String commandLine,
                                  String providerMessage,
                                  String commandOutput,
                                  String fromRevision,
                                  String toRevision,
                                  boolean success)

Failed constructor

Parameters:
  `commandLine` -
  `providerMessage` -
  `commandOutput` -

#### AccuRevUpdateScmResult

    public AccuRevUpdateScmResult(String commandLines,
                                  List<ScmFile> updatedFiles,
                                  String fromRevision,
                                  String toRevision)

Success constructor

Parameters:
  `startVersion` -
  `endVersion` -
  `commandLines` -
  `updatedFiles` -

### Method Detail

#### getFromRevision

    public String getFromRevision()

#### getToRevision

    public String getToRevision()